> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Role

> Updates a role



## OpenAPI

````yaml /api/iam/api/role.openapi.json patch /v1/roles/{role}
openapi: 3.1.0
info:
  title: Confidence Role API
  version: 1.0.0
  description: API documentation for role
servers: []
security: []
paths:
  /v1/roles/{role}:
    patch:
      summary: Update Role
      description: Updates a role
      operationId: Role.update
      parameters:
        - name: role
          in: path
          required: true
          schema:
            type: string
        - name: updateMask
          in: query
          required: false
          description: |-
            The list of fields to update.
             Fields are specified relative to the role
             (e.g. `display_name`; *not* `role.display_name`).
          schema:
            type: object
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the role on the form `roles/{"<"}id{">"}`.
                displayName:
                  type: string
                  description: Human friendly name of the role.
                permissions:
                  type: array
                  items:
                    type: object
                    properties:
                      category:
                        type: string
                        enum:
                          - CATEGORY_UNSPECIFIED
                          - WORKFLOW_INSTANCE
                          - WORKFLOW
                          - WORKFLOW_LOG
                          - WORKFLOW_SECRET
                          - METRIC
                          - SCHEDULED_METRIC_CALCULATION
                          - METRIC_CALCULATION
                          - SCHEDULED_EXPOSURE_CALCULATION
                          - EXPOSURE_CALCULATION
                          - ENTITY
                          - SQL_JOB
                          - ASSIGNMENT_TABLE
                          - FACT_TABLE
                          - DIMENSION_TABLE
                          - EXPOSURE_TABLE
                          - ENTITY_RELATION_TABLE
                          - DATA_WAREHOUSE
                          - FLAG
                          - SEGMENT
                          - MATERIALIZED_SEGMENT
                          - EVENT_DEFINITION
                          - GROUP
                          - CLIENT
                          - ROLE
                          - API_CLIENT
                          - USER_INVITATION
                          - OAUTH_APP
                          - IAM_POLICY
                          - EVENT_CONNECTION
                          - PLATFORM_CONNECTION
                          - FLAG_APPLIED_CONNECTION
                          - USER
                          - FEED
                          - BILLING
                          - EVENT
                          - RESOLVE_INFO
                          - FLAG_ASSIGNED
                          - SURFACE
                          - EVALUATION_CONTEXT_SCHEMA
                          - STATS_API
                          - AGENT
                          - LABEL
                          - COLLECTION
                        description: The category this permission applies to
                      type:
                        type: string
                        enum:
                          - TYPE_UNSPECIFIED
                          - READER
                          - EDITOR
                          - CREATOR
                          - ADMIN
                        description: The type of permission.
                      description:
                        type: string
                        description: A description of the permission
                    required:
                      - category
                      - type
                  description: >-
                    List of permissions that this role has, needs to have at
                    least one.
                labels:
                  type: array
                  items:
                    type: object
                    additionalProperties:
                      type: string
                  description: General labels for this resource.
                owner:
                  type: string
                  description: |2-

                     The owner of the resource. If not set will default to the creator.
              required:
                - displayName
                - permissions
        required: true
      responses:
        '200':
          description: Returns a [Role](/api-reference/schemas/role).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.iam.v1.Role'
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.Role:
      title: Role
      type: object
      description: A role is a named set of permissions, like `Admin` or `Flag Editor`.
      properties:
        name:
          type: string
          description: Name of the role on the form `roles/{"<"}id{">"}`.
        displayName:
          type: string
          description: Human friendly name of the role.
        permissions:
          type: array
          items:
            type: object
            properties:
              category:
                type: string
                enum:
                  - CATEGORY_UNSPECIFIED
                  - WORKFLOW_INSTANCE
                  - WORKFLOW
                  - WORKFLOW_LOG
                  - WORKFLOW_SECRET
                  - METRIC
                  - SCHEDULED_METRIC_CALCULATION
                  - METRIC_CALCULATION
                  - SCHEDULED_EXPOSURE_CALCULATION
                  - EXPOSURE_CALCULATION
                  - ENTITY
                  - SQL_JOB
                  - ASSIGNMENT_TABLE
                  - FACT_TABLE
                  - DIMENSION_TABLE
                  - EXPOSURE_TABLE
                  - ENTITY_RELATION_TABLE
                  - DATA_WAREHOUSE
                  - FLAG
                  - SEGMENT
                  - MATERIALIZED_SEGMENT
                  - EVENT_DEFINITION
                  - GROUP
                  - CLIENT
                  - ROLE
                  - API_CLIENT
                  - USER_INVITATION
                  - OAUTH_APP
                  - IAM_POLICY
                  - EVENT_CONNECTION
                  - PLATFORM_CONNECTION
                  - FLAG_APPLIED_CONNECTION
                  - USER
                  - FEED
                  - BILLING
                  - EVENT
                  - RESOLVE_INFO
                  - FLAG_ASSIGNED
                  - SURFACE
                  - EVALUATION_CONTEXT_SCHEMA
                  - STATS_API
                  - AGENT
                  - LABEL
                  - COLLECTION
                description: The category this permission applies to
              type:
                type: string
                enum:
                  - TYPE_UNSPECIFIED
                  - READER
                  - EDITOR
                  - CREATOR
                  - ADMIN
                description: The type of permission.
              description:
                type: string
                description: A description of the permission
            required:
              - category
              - type
          description: List of permissions that this role has, needs to have at least one.
        builtin:
          type: boolean
          description: If this role is automatically built in or not
        creator:
          type: string
          description: Reference to the identity that created this OAuthApp.
        updater:
          type: string
          description: Reference to the identity that last updated this OAuthApp.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General labels for this resource.
        owner:
          type: string
          description: |2-

             The owner of the resource. If not set will default to the creator.
        createTime:
          type: object
          description: Time when the role was first created.
        updateTime:
          type: object
          description: Time when the role was last updated.
      required:
        - displayName
        - permissions
        - creator
        - updater
        - createTime
        - updateTime
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````